# Frillrun

My entry for the 2024 WeightGaming Gain Jam. Action game where you collect stuff while random events occur.

## Build

### Dependencies

	- SDL2
	- SDL_image
	- SDL_mixer
	- SDL_ttf
    - GLEW

To play the game, you'll also need the game resources, get those [here](https://shweetz.net/files/games/frillrun/frillrun-resources-1.0.7z). and place the ``res`` folder in the same directory as the executable.

### Linux

This repository uses CMake to compile, so:

`mkdir build`

`cd build`

`cmake ..`

`make`

### Windows

I used MinGW for the Windows build, so basically the same as Linux but you'll need to use MSYS, MinGW, etc. to compile it. I would recommend using ninja with cmake, so ``cmake .. -G Ninja `` and then ``ninja`` in the build directory.
