#pragma once

#include "component_world_object.h"

typedef struct ComponentCollideSlow
{
	Component component;
	bool isColliding;
	bool isPreviousColliding;
} ComponentCollideSlow;

static const f32 COMPONENT_COLLIDE_SLOW_VELOCITY_MULTIPLIER = 0.5f;

void component_collide_slow_tick(ComponentCollideSlow* self, ECS* ecs);

static const ComponentInfo COMPONENT_COLLIDE_SLOW_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_collide_slow_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_COLLIDE_SLOW,
	.size = sizeof(ComponentCollideSlow)
};
