#pragma once

#include "../../ecs_entity.h"

typedef struct ComponentStage
{
	Component component;
	u32 value;
} ComponentStage;

void component_stage_tick(ComponentStage* self, ECS* ecs);
void component_stage_init(ComponentStage* self, ECS* ecs, u32 value);

static const ComponentInfo COMPONENT_STAGE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_stage_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_STAGE,
	.size = sizeof(ComponentStage)
};
