#pragma once

#include "component_texture_quad.h"

typedef struct ComponentColorMatch
{
	Component component;
	EntityID matchID;
} ComponentColorMatch;

void component_color_match_add(ComponentColorMatch* self, ECS* ecs);
void component_color_match_delete(ComponentColorMatch* self, ECS* ecs);
void component_color_match_tick(ComponentColorMatch* self, ECS* ecs);

void
component_color_match_init
(
	ComponentColorMatch* self, 
	ECS* ecs,
	EntityID matchID
);

static const ComponentInfo COMPONENT_COLOR_MATCH_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_color_match_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_COLOR_MATCH,
	.size = sizeof(ComponentColorMatch)
};
