#include "ecs_entity.h"

EntityID
ecs_entity_add(ECS* self)
{
	EntityID id;

	id = self->nextID;

	self->nextID++;

	return id;
}

void
ecs_entity_delete(ECS* self, EntityID id)
{
	for (s32 i = 0; i < COMPONENT_COUNT; i++)
		ecs_component_delete(self, (ComponentType)i, id);
}
