#include "entity_foliage.h"

EntityID
entity_foliage_add(ECS* ecs, const vec3 position, FoliageType type)
{
	EntityID id;

	id = entity_sprite_atlas_add
	(
		ecs,
		&ecs->resources->textures[TEXTURE_FOLIAGE],
		RENDERER_BUFFER_WORLD,
		ORIGIN_CENTER,
		ENTITY_FOLIAGE_SIZE,
		position,
		ENTITY_FOLIAGE_ATLAS_FRAME_SIZE,
		ENTITY_FOLIAGE_ATLAS_SIZE,
		(u32)type
	);

	return id;
}
