#pragma once

#include "../../component/game/component_game_object.h"
#include "../../component/ui/component_button.h"

EntityID entity_button_add
(
	ECS* ecs,
	Texture* texture,
	vec2 size,
	vec3 position
);

#define ENTITY_BUTTON_DEPENDENCY_COUNT 2
static const ComponentType ENTITY_BUTTON_DEPENDENCIES[ENTITY_BUTTON_DEPENDENCY_COUNT] =
{
	COMPONENT_GAME_OBJECT,
	COMPONENT_BUTTON
};

static const RendererBuffer ENTITY_BUTTON_BUFFER = RENDERER_BUFFER_UI;

