#pragma once

#include "entity_sprite.h"
#include "../../component/visual/component_atlas.h"

#define ENTITY_SPRITE_ATLAS_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_SPRITE_ATLAS_DEPENDENCIES[ENTITY_SPRITE_ATLAS_DEPENDENCY_COUNT] =
{
	COMPONENT_ATLAS
};

EntityID
entity_sprite_atlas_add
(
	ECS* ecs, 
	Texture* texture, 
	RendererBuffer buffer, 
	Origin origin, 
	vec2 size, 
	vec3 position, 
	ivec2 frameSize, 
	ivec2 atlasSize, 
	u32 index
);
