#pragma once

#include "CUTSCENE_COMMON.h"

static const vec3 CUTSCENE_DIALOGUE_POSITION = {300.0f, 500.0f, 0.0f};
static const vec3 CUTSCENE_SKIP_TEXT_POSITION = {25.0f, 675.0f, 0.0f};
static const f32 CUTSCENE_DIALOGUE_WRAP = 600;
static const u32 CUTSCENE_SKIP_TEXT_TIMER = 300;
static const s32 CUTSCENE_SKIP_TEXT_WRAP = -1;
static const u32 CUTSCENE_DIALOGUE_SPEED = 2;
static const vec3 CUTSCENE_SPRITE_POSITION = {640.0f, 250.0f, 0.0f};
static const vec2 CUTSCENE_SPRITE_SIZE = {640.0f, 360.0f};

#define CUTSCENE_BUFFER RENDERER_BUFFER_UI

#define CUTSCENE_STRING_SKIP "Press SPACE to skip cutscene..."

void cutscene_init(Cutscene* self, ECS* ecs, const SceneCollection sceneCollection);
void cutscene_tick(Cutscene* self);
void cutscene_free(Cutscene* self);
