#pragma once

#include "tutorial.h"
#include "event.h"

static const f32 LEVEL_COUNTDOWN_TIMER_VALUE = 70;
static const vec3 LEVEL_COUNTDOWN_TEXT_POSITION = {600.0f, 300.0f, 0.0f};

#define STRING_LEVEL_COUNTDOWN_READY "Ready..."
#define STRING_LEVEL_COUNTDOWN_GO "Feed!"

#define LEVEL_STRING_COUNTDOWN_SKIP "Press SPACE to skip countdown..."
#define LEVEL_STRING_RESET_REMINDER "Need a break? Press P to pause."

void level_countdown_init(Level* self);
void level_countdown_tick(Level* self);
void level_countdown_finish(Level* self);
