#pragma once

#include "TITLE_COMMON.h"

#define TITLE_LEVEL_SELECT_BUTTON_X_OFFSET (ENTITY_LEVEL_SELECT_BUTTON_SIZE[0] + (ENTITY_LEVEL_SELECT_BUTTON_SIZE[0] / 2))
#define TITLE_LEVEL_DATA_TEXT_X_OFFSET (TITLE_LEVEL_SELECT_BUTTON_X_OFFSET)

#define STRING_TITLE_CREDITS "WeightGaming Gain Jam 2024 (Theme: \"Unexpected Outcomes\") | Design, Programming, Sound, Art by Shweet | Music by FraynVGM\nCharacters, graphics, music, sound, script licensed under CC0 | Source code licensed under GPLv3"
#define STRING_TITLE_LEVEL_SELECT "Select level..."
#define STRING_TITLE_LEVEL_DATA_UNINITIALIZED "Time: -\'--\"--\nScore: ---"

#define TITLE_LEVEL_DATA_TEXT_MAX 64
#define TITLE_LEVEL_DATA_TIME_FORMAT "Time: %i\'%02i\"%02i\nScore: %i"

static vec3 TITLE_LEVEL_SELECT_BUTTON_POSITION = {256.0f, 500.0f, 0.0f};
static vec3 TITLE_BG_POSITION = {0.0f, 0.0f, 0.0f};
static vec3 TITLE_LOGO_POSITION = {640.0f, 200.0f, 0.0f};
static vec3 TITLE_LEVEL_DATA_TEXT_POSITION = {190.0f, 590.0f, 0.0f};
static vec3 TITLE_CREDITS_POSITION = {25.0f, 650.0f, 0.0f};
static vec3 TITLE_LEVEL_SELECT_POSITION = {570.0f, 400.0f, 0.0f};
static vec2 TITLE_BG_SIZE = {1280.0f, 720.0f};

void title_init(Title* self, ECS* ecs, LevelData* levelData, u32 levelCount);
void title_tick(Title* self);
void title_free(Title* self);
