#pragma once

#include <SDL2/SDL_mixer.h>

#include "../COMMON.h"

#define STRING_SDL_MIXER_MUSIC_SUCCESS "[INFO] Loaded music: %s\n"
#define STRING_SDL_MIXER_MUSIC_ERROR "[ERROR] Unable to load music: %s | %s\n"

typedef struct Music
{
	Mix_Music* chunk;
	bool isInit;
} Music;

bool music_is_playing_check(void);
void music_free(Music* self);
bool music_init(Music* self, const char* path);
void music_pause(void);
void music_play(Music* self, bool isLoop);
void music_resume(void);
void music_stop(void);
