#include "vao.h"

void
vao_init(VAO* self)
{
	glGenVertexArrays(1, &self->handle);
}

void
vao_bind(VAO* self)
{
	glBindVertexArray(self->handle);
}

void
vao_unbind(void)
{
	glBindVertexArray(0);
}

void
vao_free(VAO* self)
{
	glDeleteVertexArrays(1, &self->handle);
	memset(self, '\0', sizeof(VAO));
}
