#pragma once

#include "state/state.h"

#include "../engine/tick.h"
#include "../engine/sdl.h"

#include "render/buffer.h"

typedef struct Game
{
	ECS ecs;
	Input input;
	Control control;
	Renderer renderer;
	Resources resources;
	State state;
	Tick tick;
	Window window;
	Postprocessing postprocessing[RENDERER_BUFFER_COUNT];
	bool isPaused;
	bool isMute;
} Game;
