#pragma once

#include "component_world_object.h"

typedef struct ComponentCollect
{
	Component component;
	Circle circle;
} ComponentCollect;

void component_collect_tick(ComponentCollect* self, ECS* ecs);
void component_collect_init(ComponentCollect* self, ECS* ecs, f32 radius);

static const ComponentInfo COMPONENT_COLLECT_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_collect_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_COLLECT,
	.size = sizeof(ComponentCollect)
};
