#pragma once

#include "component_world_object.h"

typedef struct ComponentFood
{
	Component component;
	s32 value;
	s32 max;
	s32 multiplier;
	bool isJustFull;
} ComponentFood;

void component_food_tick(ComponentFood* self, ECS* ecs);
void component_food_init(ComponentFood* self, ECS* ecs, s32 value, s32 max, s32 multiplier);

static const ComponentInfo COMPONENT_FOOD_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_food_tick,
			NULL,
			NULL
		}
	},
	.type = COMPONENT_FOOD,
	.size = sizeof(ComponentFood)
};
