#pragma once

#include "../../component/game/component_plane_object.h"
#include "../../component/game/component_collide_slow.h"

static vec2 ENTITY_TRAP_SIZE = {256.0f, 256.0f};
static f32 ENTITY_TRAP_RADIUS = 128.0f;

#define ENTITY_TRAP_DEPENDENCY_COUNT 2
static const ComponentType ENTITY_TRAP_DEPENDENCIES[ENTITY_TRAP_DEPENDENCY_COUNT] =
{
	COMPONENT_PLANE_OBJECT,
	COMPONENT_COLLIDE_SLOW
};

EntityID entity_trap_add(ECS* ecs, const vec3 position);
