#include "entity_cursor.h"

EntityID
entity_cursor_add(ECS* ecs)
{
	EntityID id;

	id = ecs_entity_add(ecs);

	ecs_components_add(ecs, ENTITY_CURSOR_DEPENDENCIES, ENTITY_CURSOR_DEPENDENCY_COUNT, id);

	component_game_object_init
	(
		ecs_component_get(ecs, COMPONENT_TEXTURE_QUAD, id), 
		ecs, 
		&ecs->resources->textures[TEXTURE_CURSOR], 
		ENTITY_CURSOR_BUFFER,
		ORIGIN_TOP_LEFT,
		(f32*)ENTITY_CURSOR_SIZE, 
		(f32*)ENTITY_CURSOR_POSITION
	);

	/*
	component_pulsate_init
	(
		ecs_component_get(ecs, COMPONENT_PULSATE, id),
		ecs,
		(f32*)ENTITY_CURSOR_PULSATE_MIN_SCALE,
		(f32*)ENTITY_CURSOR_PULSATE_MAX_SCALE,
		ENTITY_CURSOR_PULSATE_FREQUENCY
	);
	*/

	return id;
}
