#pragma once

#include "entity_button.h"
#include "entity_level_select_button_icon.h"

#define ENTITY_LEVEL_SELECT_BUTTON_DEPENDENCY_COUNT 1
static const ComponentType ENTITY_LEVEL_SELECT_BUTTON_DEPENDENCIES[ENTITY_LEVEL_SELECT_BUTTON_DEPENDENCY_COUNT] =
{
	COMPONENT_ATLAS
};

static const vec2 ENTITY_LEVEL_SELECT_BUTTON_SIZE = {128.0f, 128.0f};

static const ivec2 ENTITY_LEVEL_SELECT_BUTTON_ATLAS_FRAME_SIZE = {128, 128};
static const ivec2 ENTITY_LEVEL_SELECT_BUTTON_ATLAS_SIZE = {1, 5};
static const vec4 ENTITY_LEVEL_SELECT_BUTTON_LOCKED_COLOR = {0.5f, 0.5f, 0.5f, 1.0f};

EntityID entity_level_select_button_add
(
	ECS* ecs,
	vec3 position,
	LevelStatusType status,
	u32 index
);
