#pragma once

#include "../../component/visual/component_color_change.h"
#include "../../component/utility/component_delete_on_timer.h"
#include "entity_text.h"

EntityID
entity_text_disappearing_add
(
	ECS* ecs, 
	Font* font, 
	RendererBuffer buffer, 
	const char* string, 
	const vec3 position,
	u32 wrap,
	u32 timer
);

#define ENTITY_TEXT_DISAPPEARING_DEPENDENCY_COUNT 2
static const ComponentType ENTITY_TEXT_DISAPPEARING_DEPENDENCIES[ENTITY_TEXT_DISAPPEARING_DEPENDENCY_COUNT] =
{
	COMPONENT_DELETE_ON_TIMER,
	COMPONENT_COLOR_CHANGE
};
