#pragma once

#include "GAME_COMMON.h"

#define WINDOW_FLAGS SDL_WINDOW_OPENGL
#define TICK_DELAY 15

#define STRING_GAME_INIT "[INFO] Initializing game"
#define STRING_GAME_EXIT "[INFO] Game exited"
#define STRING_WINDOW_TITLE "Frillrun"
#define GAME_STATE_START STATE_TITLE

static const ivec2 BUFFER_SIZES[RENDERER_BUFFER_COUNT] =
{
	{1280, 720},
	{6400, 3600},
	{6400, 3600},
	{6400, 3600},
	{1280, 720},
	{1280, 720},
	{1280, 720}
};

static const ivec2 WINDOW_SIZE = {1280, 720};
static const vec4 RENDERER_CLEAR_COLOR = {0.0f, 0.0f, 0.0f, 1.0f};

void game_init(Game* game);
void game_loop(Game* game);

extern Game game;
