#pragma once

#include "LEVEL_COMMON.h"

#define LEVEL_COLLECTIBLE_SPAWN_MAX 50

static const vec4 LEVEL_COLLECTIBLE_SPAWN_BOUNDS = {350.0f, 350.0f, 6100.0f, 3000.0f};
static const f32 LEVEL_COLLECTIBLE_SPAWN_MERCY_TIMER = 600;
static const u32 LEVEL_COLLECTIBLE_SPAWN_MERCY_COUNT = 5;

static const Rectangle LEVEL_COLLECTIBLE_SPAWN_NO_NO_RECTANGLE = 
{
	.x = 2500.0f,
	.y = 1400.0f,
	.w = 1800.0f,
	.h = 1400.0f
};

void level_collectible_spawn_clear(Level* self);
void level_collectible_spawn_init(Level* self);
void level_collectible_spawn_tick(Level* self);
