#pragma once

#include "LEVEL_COMMON.h"

static const vec4 LEVEL_PAUSE_COLOR = {0.5f, 0.5f, 0.5f, 1.0f};
static const vec3 LEVEL_PAUSE_TEXT_POSITION = {575.0f, 300.0f, 0.0f};
static const vec3 LEVEL_PAUSE_TIP_TEXT_POSITION = {500.0f, 350.0f, 0.0f};

#define STRING_LEVEL_PAUSE "PAUSED"
#define STRING_LEVEL_PAUSE_TIP "R - Retry | ESC - Title Screen"

#define LEVEL_PAUSE_COMPONENTS_COUNT 3
static const ComponentType LEVEL_PAUSE_COMPONENTS[LEVEL_PAUSE_COMPONENTS_COUNT] = 
{
	COMPONENT_WORLD_OBJECT,
	COMPONENT_PHYSICS,
	COMPONENT_TIMER
};

void level_pause_tick(Level* self);
void level_pause(Level* self);
void level_pause_init(Level* self);
void level_unpause(Level* self);
