#pragma once

#include "../../ecs/ecs.h"
#include "../../ecs/entity/ui/entity_cursor.h"
#include "../../ecs/entity/ui/entity_logo.h"
#include "../../ecs/entity/visual/entity_text.h"
#include "../../ecs/entity/ui/entity_level_select_button.h"

typedef struct LevelData
{
	LevelStatusType status;
	s32 time;
	s32 score;
} LevelData;

typedef struct Title
{
	ECS* ecs;
	LevelData* levelData;
	bool isLevelSelected;
	u32 levelSelected;
	u32 levelCount;
	EntityID cursor;
	EntityID credits;
	EntityID levelSelectText;
	EntityID bg;
	EntityID logo;
	Vector levelSelectButtons; /* EntityID */
} Title;
